#!/bin/bash
DIR="$(dirname "$(readlink -f "$0")")"

# This script is to be run within the contiki docker container

CVENUM=HALucinator-CVE-2019-9183
SAMPLE_DIR=/workdir/contiki-ng/examples/hello-world

cd /workdir/contiki-ng
# Restore git state
git reset --hard
git clean -df
git checkout release/v4.4

# Revert security fixes
git revert 5884a12d7d71c5bce0d97b1a387aeb7928189b04 -n -m 1

git apply $DIR/patches/cc2538_norom.patch
# Replace DMA-based read
git apply $DIR/patches/cc2538_read.patch

# radio -> 6LoWPAN
git apply $DIR/patches/transparent_mac.patch
git apply $DIR/patches/6lowpan_sample.patch

rm -rf $SAMPLE_DIR/build
make -C $SAMPLE_DIR TARGET=cc2538dk clean all

# Copy sample to outside-visible directory
OUT_DIR=/workdir/rebuilt/CVE-$CVENUM
rm -rf $OUT_DIR
mkdir -p $OUT_DIR
cp $SAMPLE_DIR/build/cc2538dk/hello-world.bin $SAMPLE_DIR/build/cc2538dk/hello-world.elf $OUT_DIR
