# Analyzing the Crash
The crash occurs in `snmp_ber_decode_type` after `snmp_ber_decode_string_len_buffer` was called, which corrupts the parsing cursor due to an untrusted size value within the community field being used.

## Interactive Bug Triaging with known Bug
To interactively see this, set a breakpoint in snmp_ber_decode_type:
```
./run.sh -b snmp_ber_decode_type
```

Check the parsing cursor argument (first argument: `r0`) and continue execution until `snmp_ber_decode_type` follows a call to `snmp_ber_decode_string_len_buffer` or until `r0` shows the corrupted pointer address `0x38011364`.

```
ipdb> c
...
ipdb> uc.regs.r0
0x21000762
```

As this address will be read from for further decoding, a crash occurs.
