# Analyzing the Crash
The crash occurs in next_timeout at pc=0x0040aff4, while operating on a corrupted timer list in the global data section due to an out-of-bounds memmove that results from an integer underflow in header uncompression..

## Interactive Bug Triaging with known Bug
To interactively see this, set a breakpoint on `memmove` and observe the value of the size argument (third argument, `r2`).

```
./run.sh -b memmove
```

Here we are looking for an underflown large value in `r2`:

```

ipdb> uc.regs.r2
0x1
ipdb> c
...
ipdb> uc.regs.r2
0xfffffffd
```

As more deeply described in the bug report, this out-of-bounds memmove operation is caused by an underflow of a packet size due to a too small source buffer.
