# Analyzing the Crash
The crash occurs in calc_chksum at pc=0x0040dabe, while calculating a checksum with an assumed large size due to an underflown size field.

## Interactive Bug Triaging with known Bug
To interactively see this, set a breakpoint on function `calc_chksum` and observe the value of `len`, which is passed to the function as the third argument, which means in register `r2`.

```
fuzzware emu -b calc_chksum crashing_input
```

Here we are looking for a large `len` value > `0xff00`. 

After continuing a 43 times (the function is hit a large number of times), we see:
```
ipdb> c
...
ipdb> uc.regs.r2
0xfff8
```

As indicated in the more detailed bug report, this integer underflow occurs during IPHC header compression, as the source size of the compressed header is not properly validated.
