# Crash Analysis
The crash occurs due to a missing NULL pointer check on the watchdog callback.

This is a false positive, rather than a security issue. The reason for this is that firmware logic relies on the fact that a watchdog interrupt will never be raised if it is not configured via the peripheral itself, even though the interrupt is enabled in the NVIC.

For fuzzing, we have multiple options to address this:
1. Disable the watchdog interrupt via configuration in `config.yml`
2. Patch the firmware to perform a NULL pointer check. This check has been implemented in the patch [wdt_sam_watchdog_callback_check.patch](../../../building/patches/wdt_sam_watchdog_callback_check.patch).
